<?php echo View::factory('service/info')->set('o',$o); ?>
<?php echo $o->service_view(); ?>

<?php if ($o->service_billing->loaded()) : ?>
	<div class="span5">
		<fieldset>
			<legend>Automatic Payment Details</legend>

			<div class="dl-horizontal">
				<dt>Direct Payment</dt>
				<dd><?php echo $o->service_billing->checkout->display('name'); ?></dd>
				<?php if (! is_null($o->service_billing->checkout_amount)) : ?>
					<dt>Standard Amount</dt>
					<dd><?php echo $o->service_billing->display('checkout_amount'); ?></dd>
				<?php endif ?>
			</div> <!-- /dl-horizontal -->
		</fieldset>
	</div> <!-- /span -->
<?php endif ?>

<?php if ($o->charges()) : ?>
	<div class="span5">
		<fieldset>
			<legend>Service Charges to Bill: <?php echo $o->charges(TRUE,TRUE); ?></legend>

			<?php echo Table::factory()
				->data($o->charge_list(TRUE))
				->columns(array(
					'date_orig'=>'Date',
					'description'=>'Description',
					'total(TRUE)'=>'Amount',
				)); ?>
		</fieldset>
	</div> <!-- /span -->
<?php endif ?>

<?php if ($o->status AND ! $o->external_billing) : ?>
	<div class="span5">
		<fieldset>
			<legend>Next Invoice Charges</legend>

			<?php echo Invoice::instance()->add_service($o)->render('html','body',array('noid'=>TRUE)); ?>
		</fieldset>
	</div> <!-- /span -->
<?php endif ?>

<div class="span5">
	<fieldset>
		<legend>Invoices for this Service</legend>

		<?php echo Table::factory()
			->data($o->invoice_list())
			->columns(array(
				'id'=>'ID',
				'void'=>'Void',
				'date_orig'=>'Date',
				'due_date'=>'Due',
				'total(TRUE)'=>'Amount',
				'due(TRUE)'=>'Due',
			))
			->prepend(array(
				'id'=>array('url'=>URL::link('user','invoice/view/')),
			)); ?>
	</fieldset>
</div> <!-- /span -->

<?php $x=$o->service_memo->find_all(); if ($x->count()) : ?>
	<div class="span5">
		<fieldset>
			<legend>Service Memos</legend>

			<?php echo Table::factory()
				->data($x)
				->columns(array(
					'id'=>'ID',
					'date_orig'=>'Date',
					'account->name()'=>'Account',
					'memo'=>'Memo',
				)); ?>
		</fieldset>
	</div> <!-- /span -->
<?php endif ?>

<?php $x=$o->email()->find_all(); if ($x->count()) : ?>
	<div class="span5">
		<fieldset>
			<legend>Emails about this service</legend>

			<?php echo Table::factory()
				->data($x)
				->columns(array(
					'id'=>'ID',
					'date_orig'=>'Date',
					'resolve("subject")'=>'Subject',
				))
				->prepend(array(
					'id'=>array('url'=>URL::link('user','email/view/')),
				))
				->postproc(array(
					'resolve("subject")'=>array('trim'=>45),
				)); ?>
		</fieldset>
	</div> <!-- /span -->
<?php endif ?>
